summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/power_profile
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/power_profile')
-rw-r--r--etc/rc.d/power_profile6
1 files changed, 5 insertions, 1 deletions
diff --git a/etc/rc.d/power_profile b/etc/rc.d/power_profile
index 7f64b72..03d36be 100644
--- a/etc/rc.d/power_profile
+++ b/etc/rc.d/power_profile
@@ -50,7 +50,11 @@ sysctl_set ()
esac
# Set the desired value
- [ -n "${value}" ] && sysctl ${node}=${value}
+ if [ -n "${value}" ]; then
+ if ! sysctl ${node}=${value} > /dev/null 2>&1; then
+ warn "unable to set ${node}=${value}"
+ fi
+ fi
}
if [ $# -ne 1 ]; then
OpenPOWER on IntegriCloud